Page MenuHomePhabricator

Add Anne Tomasevich to ldap/wmf group
Closed, ResolvedPublic

Description

I'm a new member of the Multimedia team and would like to be added to the ldap/wmf group.

LDAP username: Anne Tomasevich
SUL username: ATomasevich (WMF)

Please let me know if any other info is needed.

Event Timeline

AnneT created this task.Aug 6 2019, 7:33 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 6 2019, 7:33 PM

Hi @AnneT, thanks for taking the time to report this and welcome to Wikimedia Phabricator!

If onboarding docs exist, you may want to add that such requests should be tagged with LDAP-Access-Requests so someone can find them. :)

As manager, noting my approval - please grant the request!

Hi AnneT!

I'd be happy to help with your request. Could you please note on this case which tools you need access to?

colewhite claimed this task.Aug 8 2019, 7:49 PM
colewhite triaged this task as Normal priority.
AnneT added a comment.Aug 9 2019, 1:55 PM

Hey @colewhite, I was checking out this old ticket and though it's still not 100% clear to me, this might be helpful:

Both are staff developers and thus require wmf access to do their job.

So it's about merging things in Gerrit repos and logins on logstash ?

Yup, plus all the random other things hung of wmf like pivot/etc.

Perhaps @MarkTraceur could weigh in on the specifics?

Based on what I could find about your position, you may need more access than indicated here. @MarkTraceur could you help?

@colewhite my main concerns would be access to:

  • Gerrit (already done, I think)
  • Cloud Services
  • Wikitech
  • Phabricator link (if desired)

It should suffice to replicate the patches linked in T215352 for Hana, and T214654 for Eric, both of whom I believe are/were able to do their work with the access given. If there is a more specific way to phrase this in the future, perhaps include it here and I can try and include it in the Readers-specific onboarding docs that we're using to send people here.

CDanis added a subscriber: CDanis.

@AnneT here's a list of what membership in the wmf group gives you access to: https://wikitech.wikimedia.org/wiki/LDAP/Groups#wmf_group

Also, I wanted to confirm that your email address is atomasevich@wikimedia.org ?

Thanks!
-Chris

@MarkTraceur Thanks!

Strongly agree that we need more standardization for onboarding. I think the bits that @Dzahn mentioned in this comment would be good things to include from the start: T215352#4932972

SRE should also probably do some work on standardizing the process itself, likely with a Phab form that prompted for all of this, instead of making people who are new to the organization type free-form text :)

AnneT added a comment.Aug 13 2019, 8:56 PM

Hi @CDanis, thanks for the info! That is my correct email address.

Change 530227 had a related patch set uploaded (by CDanis; owner: CDanis):
[operations/puppet@production] admin: add annet to ldap_only_users

https://gerrit.wikimedia.org/r/530227

Change 530227 merged by CDanis:
[operations/puppet@production] admin: add annet to ldap_only_users

https://gerrit.wikimedia.org/r/530227

CDanis closed this task as Resolved.Aug 14 2019, 9:35 PM